Name:           jackit-tmpfs
Version:        1.0
Release:        %mkrel 2
Summary:        Create tmpfs folder forJackit
Group:          System/Servers
License:        GPL
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

%description
JACK is a low-latency audio server, written primarily for the Linux
operating system. This package creates a tmpfs in /dev/shm for Jackit
to be able to operate properly.

%files
%defattr(-,root,root-)

%post
LINE='none /dev/shm tmpfs defaults 0 0'
grep "$LINE" /etc/fstab >/dev/null  || echo $LINE >> /etc/fstab

%postun
if grep -q "none /dev/shm tmpfs defaults 0 0" /etc/fstab; then
        grep -v "none /dev/shm tmpfs defaults 0 0" /etc/fstab > /etc/.fstab.new
        mv -f /etc/.fstab.new /etc/fstab
fi


%posttrans
/bin/mount /dev/shm >/dev/null 2>&1

%changelog
* Wed Apr 29 2009 pcsrever <pcserver@hushmail.com> 1.0-2pclos2009
- try to mount /dev/shm after install

* Mon Apr 28 2009 pcserver <pcserver@hushmail.com> 1.0-1pclos2009
- initial package

